Bug 89162 - Source rpm does not build properly
Source rpm does not build properly
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-04-18 15:57 EDT by Mobeen Azhar
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-23 19:02:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mobeen Azhar 2003-04-18 15:57:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3) Gecko/20030312

Description of problem:
The following occurs on a stock RedHat 9.0 installation:

1)  After installing glibc-2.3.2-27.9.src.rpm (via rpm -ivh
glibc-2.3.2-27.9.src.rpm), then doing a cd /usr/src/redhat/SPECS;rpmbuild -ba
glibc-9.spec, the process aborts due to a file not found error.

I traced the error to the following lines in the SPEC file:
gzip -9nvf $RPM_BUILD_ROOT%{_infodir}/libc*

Commented the above line got rid of this error but it appears that it will
result in the man pages for linuxthreads not being built.

2)  Once the above mentioned work-around was in place, the build proceeded with
no error messages.  Upon completion, the following packages were built:


None of the other packages (such as glibc-common) included in this source rpm
were built even though no errors were reported by the rpmbuild process.  I have
no solution to this problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install glibc-debuginfo-2.3.2-27.9.i586.rpm
2.cd /usr/src/redhat/SPECS
3.Edit glibc-9.spec as documented above.
4.rpmbuild -ba glibc-9.spec

Actual Results:  Only two packages in this source rpm get built.  All the others
do not show up at all and no errors are reported.

Expected Results:  All packages included in this source rpm should be built

Additional info:
Comment 1 Jakub Jelinek 2003-04-23 19:02:39 EDT
As to why the info files have not been generated, my wild guess is you don't
have texinfo installed. It certainly builds here just fine.

As for 2), that's how it should work. Most of the rpms are common for all
sub-architectures on a given architecture and only a few are optimized.
So, you should install most of the .i386.rpm rpms and only those which
are .i586.rpm in your case (or .i686.rpm in the normal case) should be installed
for the optimized architecture.
The reason for this is that e.g. for data files in glibc-common it doesn't really
matter if they come from .i386.rpm or .i686.rpm, they are always same,
or e.g. for statically linking programs you'd better be able to create programs
which you can run anywhere, not just on your computer.
If you don't like this, you can certainly tweak the spec file (e.g. remove
i586 from %define auxarches), but as I said, it is a not terribly good idea.

Note You need to log in before you can comment on or make changes to this bug.